## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# header-only library
%global debug_package %{nil}

%global forgeurl https://github.com/contour-terminal/boxed-cpp
Version:        1.4.0
%forgemeta

Name:           boxed-cpp
Release:        %autorelease
Summary:        Boxing primitive types in C++

License:        Apache-2.0
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
%if 0%{?fedora} >= 39
BuildRequires:  catch-devel
%endif

%description
%{summary}

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
%if 0%{?fedora} >= 39
    -DBOXED_CPP_TESTS=ON \
%else
    -DBOXED_CPP_TESTS=OFF \
%endif

%cmake_build

%install
%cmake_install

%if 0%{?fedora} >= 39
%check
%ctest
%endif

%files devel
%license LICENSE.txt
%doc README.md
%dir %{_includedir}/boxed-cpp
%{_includedir}/boxed-cpp/boxed.hpp
%{_libdir}/cmake/boxed-cpp/

%changelog
## START: Generated by rpmautospec
* Sat Mar 02 2024 Packit <hello@packit.dev> - 1.4.0-1
- [packit] 1.4.0 upstream release
- Resolves rhbz#2267433

* Sun Feb 11 2024 topazus <topazus@outlook.com> - 1.3.0-2
- disable packit on epel

* Sun Feb 11 2024 Packit <hello@packit.dev> - 1.3.0-1
- [packit] 1.3.0 upstream release
- Resolves rhbz#2263697

* Thu Feb 01 2024 Packit <hello@packit.dev> - 1.2.2-1
- [packit] 1.2.2 upstream release
- Resolves rhbz#2262188

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Packit <hello@packit.dev> - 1.2.0-1
- [packit] 1.2.0 upstream release
- Resolves rhbz#2259413

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 25 2023 topazus <topazus@outlook.com> - 1.1.0-3
- fix packit and tests

* Sun Dec 17 2023 topazus <topazus@outlook.com> - 1.1.0-2
- disable tests for f38

* Sun Dec 17 2023 topazus <topazus@outlook.com> - 1.1.0-1
- initial import
## END: Generated by rpmautospec
